Subject: Re: Hilscher NetX mach-netx refactorings

From: Ladislav Michl <[email-masked]>
Date: Sun, 13 Jan 2019 16:50:47 +0100

Hi Linus,

On Sun, Jan 13, 2019 at 01:14:36PM +0100, Linus Walleij wrote:
> On Sat, Jan 12, 2019 at 1:03 PM Arnd Bergmann <[email-masked]> wrote:
> > On Sat, Jan 12, 2019 at 9:35 AM Linus Walleij <[email-masked]> wrote:
> > >
> > > Hi Sascha, Robert,
> > >
> > > I am looking at refactoring mach-netx to use the new PL11x
> > > DRM driver for the graphics.
> > >
> > > I need to make sure that patches get tested on the hardware
> > > and just want to ascertain that there is an active maintainer that
> > > will be able to test patches I make for this and work on getting
> > > it migrated to DRM before I start spending time on it.
> > >
> > > Are you/pengutronix still actively maintaining this machine and
> > > testing new kernels on netx?
> > >
> > > I guess the second question is whether you have plans to migrate
> > > it to device tree and multiplatform, but I'm mainly thinking about
> > > my own little patches now.
> >
> >
> > On a related note, there does appear to be active work on
> > newer netx machines that were never upstreamed, see
> > https://github.com/Hilscher/netx4000-linux/commits/v4.9-netx4000-stable
> 
> That RS485 addition to PL011 using GPIOs is a bit hacky but
> looks like very useful for industrial applications.
> Ladislav, have you been in contact with Hilscher?

I guess I appeared on Cc list because of commit 797537a45450 ("amba-pl011:
Add RS485 support (ioctl and devicetree)") from above github repo which
is based on my hack originaly done for rPi3 as I got tired of all those
experts implementing 'drive enable' in userspace. That's broken by design
and works only by accident. But as I'm also considering every single
device running from SD card broken by design - it was perfect match ;-)

But seriously, it is indeed needed for industrial applications and
should be done a bit better - I mean regarding those delays in interrupt
context.

> > I wonder if anyone has contacts into the company so we can
> > work together with them to include them into mainline Linux.

I do not own this machine nor I was in contact with Hilscher, but I can
help with mainlining PL011's RS485 support. It is only matter of time
until someone brings some "product" based on RPi claiming "it almost
works, it just needs a bit of fixing" ;-) So having that in mainline
would save some future effort.

> They have a mail address [email-masked], let's knock
> on the door and see if somebody answers it :D
> 
> I'd personally be able to take a stab at converting this machine
> to device tree and multiplatform if I only had access to the
> hardware, as it seems to be in the same class as EP93xx
> and MOXA ART: deployed in industrial systems as we speak.
> 
> Yours,
> Linus Walleij

Best regards,
	ladis

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel